Notification Channels - Get
알림 채널을 가져옵니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels/{name}?api-version=2018-09-15
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels/{name}?api-version=2018-09-15&$expand={$expand}
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
lab
|
path | True |
string |
랩의 이름입니다. |
|
name
|
path | True |
string |
알림 채널 이름. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다. |
|
subscription
|
path | True |
string minLength: 1 |
대상 구독의 ID입니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
|
$expand
|
query |
string |
$expand 쿼리를 지정합니다. 예: 'properties($select=webHookUrl)' |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
Azure 작업이 성공적으로 완료되었습니다. |
|
| Other Status Codes |
예기치 않은 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
NotificationChannels_Get
샘플 요청
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels/{notificationChannelName}?api-version=2018-09-15
샘플 응답
{
"name": "{notificationChannelName}",
"type": "Microsoft.DevTestLab/labs/notificationChannels",
"id": "/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationChannels/{notificationChannelName}",
"location": "{location}",
"properties": {
"description": "Integration configured for auto-shutdown",
"createdDate": "2021-01-05T02:14:05.2392034+00:00",
"emailRecipient": "{email}",
"events": [
{
"eventName": "AutoShutdown"
}
],
"notificationLocale": "en",
"provisioningState": "Succeeded",
"uniqueIdentifier": "{uniqueIdentifier}",
"webHookUrl": "{webhookUrl}"
},
"tags": {
"tagName1": "tagValue1"
}
}
정의
| Name | Description |
|---|---|
|
created |
리소스를 만든 ID의 형식입니다. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
| Event |
알림을 받을 이벤트입니다. |
|
Notification |
알림입니다. |
|
Notification |
이 알림이 사용하도록 설정된 이벤트 유형(예: AutoShutdown, Cost) |
|
system |
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다. |
createdByType
리소스를 만든 ID의 형식입니다.
| 값 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |
Event
알림을 받을 이벤트입니다.
| Name | 형식 | Description |
|---|---|---|
| eventName |
이 알림이 사용하도록 설정된 이벤트 유형(예: AutoShutdown, Cost) |
NotificationChannel
알림입니다.
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
리소스가 있는 지리적 위치 |
| name |
string |
리소스의 이름 |
| properties.createdDate |
string (date-time) |
알림 채널의 생성 날짜입니다. |
| properties.description |
string |
알림에 대한 설명입니다. |
| properties.emailRecipient |
string |
알림을 보낼 전자 메일 받는 사람(세미콜론으로 구분된 전자 메일 주소 목록일 수 있음). |
| properties.events |
Event[] |
이 알림을 사용할 수 있는 이벤트 목록입니다. |
| properties.notificationLocale |
string |
알림을 보낼 때 사용할 로캘입니다(지원되지 않는 언어에 대한 대체는 EN). |
| properties.provisioningState |
string |
리소스의 프로비전 상태입니다. |
| properties.uniqueIdentifier |
string |
리소스의 변경할 수 없는 고유 식별자(Guid)입니다. |
| properties.webHookUrl |
string |
알림을 보낼 웹후크 URL입니다. |
| systemData |
createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다. |
|
| tags |
object |
리소스 태그. |
| type |
string |
리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts" |
NotificationChannelEventType
이 알림이 사용하도록 설정된 이벤트 유형(예: AutoShutdown, Cost)
| 값 | Description |
|---|---|
| AutoShutdown | |
| Cost |
systemData
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name | 형식 | Description |
|---|---|---|
| createdAt |
string (date-time) |
리소스 만들기의 타임스탬프(UTC)입니다. |
| createdBy |
string |
리소스를 만든 ID입니다. |
| createdByType |
리소스를 만든 ID의 형식입니다. |
|
| lastModifiedAt |
string (date-time) |
리소스 마지막 수정의 타임스탬프(UTC) |
| lastModifiedBy |
string |
리소스를 마지막으로 수정한 ID입니다. |
| lastModifiedByType |
리소스를 마지막으로 수정한 ID의 형식입니다. |